#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_fragmentColor;  
#else
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;  
#endif

uniform float width;
uniform vec2 size;
uniform float timeScale;
uniform float offset;
uniform float factor;
uniform vec4  color;


void main(void)
{
     vec4 texColor = texture2D(CC_Texture0, v_texCoord);    

     float distance = abs(v_texCoord[0]+v_texCoord[1]-offset*timeScale)/1.414;  
     gl_FragColor = vec4(distance,distance,distance,distance);

     distance = width/size[0]-distance;

     distance = max(distance,0.0);

     vec4 sample  = vec4(distance,distance,distance,distance)*color;


     float alpha = sample[3]*texColor[3];  
     texColor[0] = texColor[0] + sample[0]*alpha*factor;  
     texColor[1] = texColor[1] + sample[1]*alpha*factor;  
     texColor[2] = texColor[2] + sample[2]*alpha*factor;  
     gl_FragColor = texColor;
}